% Initialize
%
clear
close all

% Load example dataset:
%  x:    150 rows by 51 colums. Each row is an example, 
%  clab: 150 rows by 1 column.  This vector contains the class labels

load iss_data;
ne = size(x,1);

%  You would filter out noise here
%

%  You would select features here
%

% Plot data
%
cmap = colormap;   % Initialize colormap for the classes (graphics stuff)
nc   = max(clab);  % Find out the number of classes
for c=1:nc
  rows   = find(clab==c);                    % find examples of class c
  ccolor = cmap(round(c*size(cmap,1)/nc),:); % interpolate a color for class c
  plot(x(rows, :)', 'Color', ccolor);
  hold on
end
axis('tight')
xlabel('feature index');
ylabel('response');

% Split data
%
ix = rand(ne,1)
r  = 0.1;

x1    = x(find(ix>r),:);
clab1 = clab(find(ix>r));

x2    = x(find(ix<=r),:);
clab2 = clab(find(ix<=r));

% Generate LDA projection of training and test data
% Test data has an asterisk (*)
%
[y1, v1, d1] = iss_lda(x1, clab1);

y2 = x2*v1;

iss_plot_scatterx(y1, clab1, y2, clab2);
