% 2D scatter plot for the features of TWO matrices x1 and x2 in 2 dimensions
% The first matrix is assumed to be a training set and the second one the
% test set
%  iss_plot_scatterx(x1, clab1, x2, clab2)
%   x1:       training database matrix (row vectors)
%   clab1:    class labels for training data
%   x2:       testing database matrix (row vectors)
%   clab2:    class labels for test data

function iss_plot_scatterx(x1, clab1, x2, clab2)

font_size = 14;
figure;

nc   = max(max(clab1), max(clab2))
cmap = colormap;

% Plot training set

for e=1:size(x1,1)
  c      = clab1(e);
  ccolor = cmap(round(c*size(cmap,1)/nc),:);
  ex_str = num2str(c);
  
  text(x1(e,1), x1(e,2), ex_str, 'FontSize', [font_size], ...
    'FontName', 'Helvetica', 'FontWeight', 'bold', 'color', ccolor);
  hold on;
end;

% Plot test set

for e=1:size(x2,1)
  c      = clab2(e);
  ccolor = cmap(round(c*size(cmap,1)/nc),:);
  ex_str = num2str(c);
  
  text(x2(e,1), x2(e,2), [ex_str '*'], 'FontSize', [font_size], ...
    'FontName', 'Helvetica', 'FontAngle', 'oblique', 'color', ccolor, ...
    'FontWeight', 'light');
  hold on;
end;

box on;
%grid on;

xlabel('axis 1');
ylabel('axis 2');

x = [x1; x2];

wx = (max(x(:,1)) - min(x(:,1)))/20*1;
wy = (max(x(:,2)) - min(x(:,2)))/20*1;

axis([min(x(:,1))-wx max(x(:,1))+wx min(x(:,2))-wy max(x(:,2))+wy]);
